package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.model.Contract;
import com.ecep.contract.service.ContractService;
import com.ecep.contract.service.IEntityService;

public class ContractTableCell<V> extends AsyncUpdateTableCell<V, Contract> {
    public ContractTableCell() {
    }

    public ContractTableCell(ContractService service) {
        setService(service);
    }

    @Override
    protected IEntityService<Contract> getServiceBean() {
        return SpringApp.getBean(ContractService.class);
    }
}
